import { Combobox as FASTComboBox } from '@microsoft/fast-components';
import type { ComboboxOptions } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-base-combobox
 */
export declare class BaseCombobox extends FASTComboBox {
    #private;
    private _ourValue;
    /** Controls whether to perform a case-sensitive search in the list of options */
    caseSensitive: boolean;
    /** Controls whether to suppress opening the dropdown when the input field is clicked */
    ignoreInputClick: boolean;
    get value(): string;
    set value(next: string);
    slottedOptionsChanged(prev: Element[] | undefined, next: Element[]): void;
    filterOptions(): void;
    clickHandler(e: MouseEvent): boolean | void;
    keydownHandler(e: KeyboardEvent): boolean | void;
    keyupHandler(e: KeyboardEvent): boolean | void;
    /**
     * Gets the HTML element for the indicator button
     *
     * @protected
     */
    protected get indicator(): Element;
    /**
     * Selects an item in the dropdown based on its text value
     *
     * @param value - The text value of the item to be selected
     * @protected
     */
    protected selectItemByValue(value: string): void;
    resetCombobox(): void;
}
export declare const foundationComboboxShadowOptions: ShadowRootInit;
export declare const defaultComboboxConfig: {
    indicator: string;
};
/**
 * The Foundation Base-ComboBox
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-base-combobox\>
 */
export declare const foundationBaseCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=base.combobox.d.ts.map